OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Types | Static Public Member Functions | List of all members
TreeAdapter< tree::ValueAccessor< _TreeType > > Struct Template Reference

Partial specialization for ValueAccessor types. More...

`#include <openvdb/Grid.h>`

## Public Types
using | TreeType = _TreeType
using | NonConstTreeType = typename std::remove_const< TreeType >::type
using | TreePtrType = typename TreeType::Ptr
using | ConstTreePtrType = typename TreeType::ConstPtr
using | NonConstTreePtrType = typename NonConstTreeType::Ptr
using | GridType = Grid< TreeType >
using | NonConstGridType = Grid< NonConstTreeType >
using | GridPtrType = typename GridType::Ptr
using | NonConstGridPtrType = typename NonConstGridType::Ptr
using | ConstGridPtrType = typename GridType::ConstPtr
using | ValueType = typename TreeType::ValueType
using | AccessorType = typename tree::ValueAccessor< TreeType >
using | ConstAccessorType = typename tree::ValueAccessor< const TreeType >
using | NonConstAccessorType = typename tree::ValueAccessor< NonConstTreeType >

## Static Public Member Functions
static TreeType & | tree (TreeType &t)
static TreeType & | tree (GridType &g)
static TreeType & | tree (AccessorType &a)
static const TreeType & | tree (const TreeType &t)
static const TreeType & | tree (const GridType &g)
static const TreeType & | tree (const AccessorType &a)
static const TreeType & | constTree (TreeType &t)
static const TreeType & | constTree (GridType &g)
static const TreeType & | constTree (const TreeType &t)
static const TreeType & | constTree (const GridType &g)

## Detailed Description

template<typename _TreeType>
struct openvdb::v11_0::TreeAdapter< tree::ValueAccessor< _TreeType > >

Partial specialization for ValueAccessor types.

## Member Typedef Documentation

## ◆ AccessorType

template<typename _TreeType >

using AccessorType = typename tree::ValueAccessor<TreeType>

## ◆ ConstAccessorType

template<typename _TreeType >

using ConstAccessorType = typename tree::ValueAccessor<const TreeType>

## ◆ ConstGridPtrType

template<typename _TreeType >

using ConstGridPtrType = typename GridType::ConstPtr

## ◆ ConstTreePtrType

template<typename _TreeType >

using ConstTreePtrType = typename TreeType::ConstPtr

## ◆ GridPtrType

template<typename _TreeType >

using GridPtrType = typename GridType::Ptr

## ◆ GridType

template<typename _TreeType >

using GridType = Grid<TreeType>

## ◆ NonConstAccessorType

template<typename _TreeType >

using NonConstAccessorType = typename tree::ValueAccessor<NonConstTreeType>

## ◆ NonConstGridPtrType

template<typename _TreeType >

using NonConstGridPtrType = typename NonConstGridType::Ptr

## ◆ NonConstGridType

template<typename _TreeType >

using NonConstGridType = Grid<NonConstTreeType>

## ◆ NonConstTreePtrType

template<typename _TreeType >

using NonConstTreePtrType = typename NonConstTreeType::Ptr

## ◆ NonConstTreeType

template<typename _TreeType >

using NonConstTreeType = typename std::remove_const<TreeType>::type

## ◆ TreePtrType

template<typename _TreeType >

using TreePtrType = typename TreeType::Ptr

## ◆ TreeType

template<typename _TreeType >

using TreeType = _TreeType

## ◆ ValueType

template<typename _TreeType >

using ValueType = typename TreeType::ValueType

## Member Function Documentation

## ◆ constTree() [1/4]

template<typename _TreeType >

static const TreeType & constTree | ( | const GridType & | g | ) |
| inline static

## ◆ constTree() [2/4]

template<typename _TreeType >

static const TreeType & constTree | ( | const TreeType & | t | ) |
| inline static

## ◆ constTree() [3/4]

template<typename _TreeType >

static const TreeType & constTree | ( | GridType & | g | ) |
| inline static

## ◆ constTree() [4/4]

template<typename _TreeType >

static const TreeType & constTree | ( | TreeType & | t | ) |
| inline static

## ◆ tree() [1/6]

template<typename _TreeType >

static TreeType & tree | ( | AccessorType & | a | ) |
| inline static

## ◆ tree() [2/6]

template<typename _TreeType >

static const TreeType & tree | ( | const AccessorType & | a | ) |
| inline static

## ◆ tree() [3/6]

template<typename _TreeType >

static const TreeType & tree | ( | const GridType & | g | ) |
| inline static

## ◆ tree() [4/6]

template<typename _TreeType >

static const TreeType & tree | ( | const TreeType & | t | ) |
| inline static

## ◆ tree() [5/6]

template<typename _TreeType >

static TreeType & tree | ( | GridType & | g | ) |
| inline static

## ◆ tree() [6/6]

template<typename _TreeType >

static TreeType & tree | ( | TreeType & | t | ) |
| inline static